/// <reference types="react" />
import { Props } from './FormattedNumber.types';
export declare const FormattedNumberComponents: {
    AddonBox: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<{
        sm?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
        md?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
        lg?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
        xl?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    } & import("../../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
        className?: string | undefined;
    } & {
        children?: import("react").ReactNode;
        as?: any;
    } & import("react").RefAttributes<HTMLDivElement>>, import("styled-components").DefaultTheme, {
        position?: "left" | "right" | undefined;
        variant?: "normal" | "quiet" | undefined;
    }, never>;
    Input: import("styled-components").StyledComponent<import("./FormattedInput/FormattedInput.types").FormattedNumberInputType, import("styled-components").DefaultTheme, {
        type: string;
    } & Partial<Props> & {
        showSteppers: boolean;
    }, "type">;
    Stepper: import("styled-components").StyledComponent<"button", import("styled-components").DefaultTheme, {
        type: "button";
    } & Partial<Props>, "type">;
    Wrapper: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<{
        sm?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
        md?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
        lg?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
        xl?: Partial<import("../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    } & import("../../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
        className?: string | undefined;
    } & {
        children?: import("react").ReactNode;
        as?: any;
    } & import("react").RefAttributes<HTMLDivElement>>, import("styled-components").DefaultTheme, {}, never>;
};
